Skip to main content
DELETE
/
models
/
{model_id}
Delete one of the organization's models
curl --request DELETE \
  --url https://api.samsa.ai/public/v1/models/{model_id} \
  --header 'Authorization: Bearer <token>'
{
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "request_id": "<string>",
    "param": "aspect_ratio"
  }
}
Soft-deletes a model owned by your organization — it stops appearing in the app and the API and returns 204 No Content. Unknown, other-organization, already-deleted, or internal models return 404 not_found. Requires the models.write scope.
Deletion is a soft-delete but is not reversible through the API. A model in use by saved presets or automations will no longer be composable once deleted.

Authorizations

Authorization
string
header
required

Organization API key as a bearer token: Authorization: Bearer samsa_sk_....

Headers

authorization
string | null

Path Parameters

model_id
string<uuid>
required

Response

Model soft-deleted.